##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (JOMP)		= PkgName
# sampledir (ksm-jomp)		= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for JOMP

%define name	ksm-jomp
%define version	0.0.3
%define release	15.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	The music player JOMP (Juergens Own Music Player)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Multimedia/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	tcl,tk,ffmpeg,netpbm,lynx
Requires:	ksm-lib-sh >= 5.0.1-0.0.0,ksm-textproc >= 1.0.1-11.0.0
Requires:	ksm-multimedia >= 1.0.8-11.0.0,ksm-img-converter >= 1.0.0-8.1.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains the music player JOMP. This version is for the gui. 
It supports lyrics, embedded covers and a prog to create equalizer files.

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/jomp.conf
#%config %{_confdir}/jomp.conf
#%config %{_scnfdir}/jomp

#%attr(744,root,root)/%{_rcdir}/jompd

%attr(755,root,root)%{_bindir}/eqbuilder.tk
%attr(755,root,root)%{_bindir}/filter-lyrics-azlyrics
%attr(755,root,root)%{_bindir}/get-lyrics
%attr(755,root,root)%{_bindir}/jomp
%attr(755,root,root)%{_bindir}/jomp.tk
%attr(755,root,root)%{_bindir}/show-lyrics
%attr(755,root,root)%{_bindir}/update-jomp

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/album.ppm
%{_datadir}/empty.ppm
%attr(755,root,root)%{_datadir}/end-jomp
%{_datadir}/eqbuilder-help.txt
%{_datadir}/filter-lyrics-wikia
%{_datadir}/jomp-help.txt
%{_datadir}/jomp.conf.templ
%{_datadir}/jomp.gif
%{_datadir}/mpg123eq01.templ
%{_datadir}/mpg123eq01.txt
%{_datadir}/white.ppm

/usr/share/applications/eqbuilder.desktop
/usr/share/applications/jomp.desktop

%{_icondir}/16x16/apps/eqbuilder.png
%{_icondir}/22x22/apps/eqbuilder.png
%{_icondir}/32x32/apps/eqbuilder.png
%{_icondir}/48x48/apps/eqbuilder.png
#%{_icondir}/64x64/apps/eqbuilder.png
#%{_icondir}/128x128/apps/eqbuilder.png
%{_icondir}/16x16/apps/jomp.png
%{_icondir}/22x22/apps/jomp.png
%{_icondir}/32x32/apps/jomp.png
%{_icondir}/48x48/apps/jomp.png
%{_icondir}/64x64/apps/jomp.png
%{_icondir}/128x128/apps/jomp.png
#/usr/share/pixmaps/jomp.png

%docdir %{_man1dir}
%{_man1dir}/filter-lyrics-azlyrics.1.gz
%{_man1dir}/get-lyrics.1.gz
%{_man1dir}/jomp.1.gz
%{_man1dir}/show-lyrics.1.gz
%{_man1dir}/update-jomp.1.gz

#%docdir %{_man8dir}
#%{_man8dir}/jompd.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
#test -e %{_confdir}/jomp.conf && cp %{_confdir}/jomp.conf %{_confdir}/jomp.conf.rpmsave
#test -e %{_scnfdir}/jomp && cp %{_scnfdir}/jomp %{_scnfdir}/jomp.rpmsave

# disable jomp and stop jompd
#test -x %{_bindir}/togglejomp && %{_bindir}/togglejomp -d -q > /dev/null 2>&1
#test -x %{_rcdir}/jompd && %{_rcdir}/jompd stop > /dev/null 2>&1

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/jomp.conf
#cnfvars='MyVar1 MyVar2'

#c='' s='' t='' ret=0

# set links
#ln -sf %{_rcdir}/jompd %{_bindir}/rcjompd

# install desktop files
xdg-desktop-menu install --novendor \
	/usr/share/applications/eqbuilder.desktop \
	/usr/share/applications/jomp.desktop

# install/update all users rc files
updcmd='' usr='' u=''
updcmd="%{_bindir}/update-jomp -q"
# for all usr below /home/ do:
usr=$(/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1)
for u in $usr; do
	if [ -e /home/${u}/.jomp/jomp.conf ]; then	# if exist rc file
		/bin/su $u -c "$updcmd"
	fi
done
#echo "Package ksm-jomp: All users rc files have been updated"
echo "Package ksm-jomp: All existing users rc files have been updated"

#if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#else							# upgrade package
#	# update global conf
#	if [ -e $cf.rpmsave ]; then
#		c='' s='' t=''
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#
#		# update conf vars START -------------------------------------
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		# update conf vars STOP --------------------------------------
#
#		# update array vars START ------------------------------------
#		cnt=0 i=0
#		# array var MainArr (contignous index from 0)
#		cnt=${#MainArr[@]}			# max members of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any member in use?
#			while [ "$i" -lt $cnt ]; do
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#				let ++i
#			done
#		fi
#
#		# array var MainArr (contignous index from 1)
#		cnt=${#MainArr[@]}			# max members of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any member in use?
#			while [ "$i" -lt $cnt ]; do
#				let ++i
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------
#
#		# compare new conf vars <--> old conf vars
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/jomp.conf && cp %{_confdir}/jomp.conf %{_confdir}/jomp.conf.rpmsave
	#test -e %{_scnfdir}/jomp && cp %{_scnfdir}/jomp %{_scnfdir}/jomp.rpmsave

	# disable jomp and stop jompd
	#test -x %{_bindir}/togglejomp && %{_bindir}/togglejomp -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/jompd && %{_rcdir}/jompd stop > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/rcjompd && rm -f %{_bindir}/rcjompd

	# uninstall desktop files
	xdg-desktop-menu uninstall \
		/usr/share/applications/eqbuilder.desktop \
		/usr/share/applications/jomp.desktop
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sample

#else							# upgrade package
fi
exit 0

%changelog
* Tue Oct 10 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.3-15.0.0
- Added 'jomp' again.

* Fri Feb 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.3-14.0.0
- 'update-jomp' has been reised/improved
  (fixed error missing first conf var).

* Fri Feb 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.3-13.0.0
- The RPM scriptlets have been revised/improved.

* Fri Feb 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.3-12.0.0
- jomp.tk has been revised/improved
  (now shown cover size is 600 x 600).

* Sat Dec 31 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-11.0.0
- Following progs have been revised/improved
  (adaption to https):
  get-lyrics, filter-lyrics-azlyrics.

* Tue Sep 20 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-10.1.0
- jomp.tk has been revised/improved
  (now playlists may contain comments '#').

* Tue Apr 05 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-10.0.0
- update-jomp has been revised/improved.

* Thu Mar 24 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-9.0.0
- The player 'jomp' has been removed.

* Tue Mar 15 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-8.3.0
- jomp has been revised/improved
  (added menu entry 'About JOMP').

* Mon Mar 14 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-8.2.0
- jomp has been revised/improved
  (fixed error handling).

* Sat Feb 05 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-8.1.0
- jomp has been revised/improved
  (fixed error handling).

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.3-8.0.0
- Update to the libfuncstd-sh 4.0.0

* Fri Mar 26 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.3-7.0.0
- jomp.tk hase been revised/improved
  (added selection of multiple songs in add menu).

* Wed Dec 30 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-6.0.0
- jomp.tk hase been revised/improved
- get-lyrics has been revised/improved
  (the lyricsserver lyrics.wikia.com is
  no longer online).

* Wed Nov 18 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-5.2.0
- update-jomp has been revised/improved
  (fixed an error - did not copy templates).

* Sat Oct 17 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-5.1.0
- jomp.tk has been revised/improved
  (scaling prog has been changed).

* Fri Oct 16 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-5.0.0
- jomp.tk has been revised/improved
  (format of internal images has been changed
  from png to ppm).

* Fri Oct 16 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-4.1.0
- update-jomp has been revised/improved
  (fixed an error).

* Thu Oct 15 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-4.0.0
- jomp.tk has been revised/improved
  (fixed an error in the setup system).

* Thu Oct 15 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-3.0.0
- jomp.tk has been revised/improved
  (album cover window stays on screen).

* Wed Oct 14 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-2.0.0
- jomp.tk has been revised/improved
  (The setup has the new entry 'Show Covers').

* Wed Oct 14 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-1.0.0
- jomp.tk has been revised/improved
  (album covers fit better into the window).

* Wed Oct 14 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.3-0.0.0
- jomp.tk has been revised/improved
  (added displaying album covers).

* Sun Mar 29 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-4.0.0
- jomp.tk has been revised/improved
  (fixed an error on startup with stale fifo).

* Thu Mar 15 2018 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.6.0
- jomp.tk has been revised
  (change some colors).

* Thu Mar 08 2018 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.5.0
- jomp.tk has been revised
  (modify statusbar).

* Sun Jan 07 2018 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.4.0
- filter-lyrics-azlyrics has been revised.

* Tue Dec 12 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.3.0
- jomp.tk has been revised
  (improving shuffle mode).

* Mon Dec 11 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.2.0
- jomp.tk has been revised
  (improving shuffle mode).

* Sat Nov 04 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.1.0
- jomp.tk has been revised
  (internal structure and colors).

* Thu Nov 02 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.0.0
- jomp.tk has been revised
  (added Button 'Random').

* Tue Jun 13 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.18.0
- jomp.tk has been revised
  (changed icon for window manager).

* Tue Jun 13 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.17.0
- jomp.tk has been revised
  (added icon to window manager).

* Tue Apr 11 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.16.0
- 'get-lyrics' has been revised
  (if no lyrics found then add artist
  and title to default lyrics file).

* Mon Apr 10 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.15.0
- All shell progs have been revised
  (fixed init for var 'err').

* Thu Mar 30 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.14.0
- 'get-lyrics' has been revised
  (added server info to lyrics files).

* Sun Mar 19 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.13.1
- 'get-lyrics' has been revised.

* Sun Mar 19 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.13.0
- 'get-lyrics' and 'show-lyrics'
  have been revised.

* Thu Mar 16 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.12.0
- 'get-lyrics' has been revised
  (added cmd -g).

* Tue Mar 14 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.11.0
- 'jomp.tk' has been revised
  (changed field sizes "artist, title, volume").

* Mon Mar 13 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.10.0
- 'jomp.tk' has been revised
  (start of jomp).
- Introducing 'end-jomp'.

* Mon Mar 13 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.9.0
- 'jomp.tk' has been revised
  (length of artist field in player window).

* Sun Mar 12 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.8.0
- 'jomp.tk' has been revised
  (added menu Lyrics/Re-Load Playing).
- The script endplayer.sh has been removed.

* Sun Mar 12 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.7.0
- 'get-lyrics' and 'show-lyrics' have
  been revised (function condense_name).

* Sun Mar 12 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.6.0
- get-lyrics has been revised
  (added option -l).

* Sat Mar 11 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.5.0
- jomp.tk has been revised
  (i/o redirection when starting).
- show-lyrics has been revised
  (removed cmd -c, added cmds -l, -R,
  func condense_name).
- get-lyrics has been revised
  (func condense_name).

* Fri Mar 10 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.4.0
- jomp.tk, get-lyrics and show-lyrics have
  been revised.

* Fri Mar 10 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.3.0
- show-lyrics has been revised
  (added cmd -c).

* Thu Mar 09 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.2.0
- get-lyrics and show-lyrics have been revised
  (reworked function 'condense_name').

* Thu Mar 09 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.1.0
- jomp.tk has been revised (no startplayer.sh).
- Removed the script startplayer.sh
- show-lyrics has been revised (added cmd -r).

* Wed Mar 08 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.0.0
- Now the player uses an other method to play
  (Generic Remote Interface).
- Added the scripts startplayer.sh and endplayer.sh.
  These scripts will be used only internally by JOMP.
- Removed the script kill-mpg123

* Mon Mar 06 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-1.0.0
- Added support for lyrics.wikia.com
  including the filter filter-lyrics-wikia.
- The script get-lyrics has been revised
  (if no lyrics found on all servers then
  put empty page into lyrics dir).

* Sun Mar 05 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.1.0
- The program jomp.tk has been revised
  (lyrics are updated in lyrics window).

* Sun Mar 05 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.0.0
- The program jomp.tk has been revised
  (now signal KILL has changed to TERM,
  lyrics are supported from www.azlyrics.com).
- Added following scripts:
  get-lyrics, filter-lyrics-azlyrics, show-lyrics

* Tue Jan 24 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.1-8.2.0
- All scripts have been revised
  (using function GetOpt).

* Fri Dec 02 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-8.1.0
- The program jomp.tk has been revised (fixed
  error when playing given songs to cmdline).

* Tue Nov 29 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-8.0.0
- The program jomp.tk has been revised
  (one can supply MP3s at the cmdline).

* Sat Nov 12 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.7.0
- All scripts have been revised.

* Tue Nov 08 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.6.0
- The program jomp has been revised.

* Tue Aug 30 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.5.0
- The program jomp.tk has been revised
  (Now for each song the player window
  shows the year too).

* Sun Mar 20 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.4.0
- The program jomp.tk has been revised
  (Button 'Pause' changed to 'TPause').

* Fri Jan 08 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.3.0
- The program jomp.tk has been revised
  (Buttons 'Repeat' and 'Autoplay' and
  minor changes in the status bar).

* Fri Dec 18 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.2.0
- The program jomp.tk has been revised
  (error in 'Repeat PList' fixed).

* Fri May 08 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.1.0
- The script kill-mpg123 has been revised
  (unwanted tempfile).

* Tue Mar 10 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-7.0.0
- The script jomp has been revised
  (added buttons 'Pause' and 'AutoPlay').

* Tue Dec 09 2014 Repomaster <repomaster@kaesmann-online.de> 0.0.1-6.0.0
- Following programs have been renamed:
  jomp.tcl      --> jomp.tk
  eqbuilder.tcl --> eqbuilder.tk
- The script jomp has been revised
  (error while testing conf files fixed).
- The scripts jomp.tk and eqbuilder.tk have been revised
  (error in proc Round_NumberF_to_NumberI fixed).

* Wed Oct 15 2014 Repomaster <repomaster@kaesmann-online.de> 0.0.1-5.2.1
- The docu of the package has been revised.

* Thu Jul 17 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-5.2.0
- JOMP has been revised (errorhandling in
  make_tick_scale and
  Round_NumberF_to_NumberI).

* Thu Jul 17 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-5.1.0
- JOMP and EQBuilder have been revised.

* Thu Jul 17 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-5.0.0
- EQBuilder has been revised (added submenu in Edit).
- Now the equalizer files have a comment embedded.
- The help text for EQBuilder has been revised.

* Wed Jul 16 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-4.2.0
- EQBuilder has been revised (added menu Edit).
- The help text for EQBuilder has been revised.

* Wed Jul 16 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-4.1.0
- EQBuilder has been revised.

* Wed Jul 16 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-4.0.0
- Added the program eqbuilder.

* Fri Jul 11 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.4.0
- JOMP has been revised.

* Fri Jul 11 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.3.0
- JOMP has been revised (Help text and scale action.
  Now scale action works only with left mouse button).

* Fri Jul 11 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.2.0
- JOMP has been revised (error handling).

* Thu Jul 10 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.1.1
- JOMP has been revised (added copyright and
  licensing information).

* Thu Jul 10 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.1.0
- JOMP has been revised (open playlist object).

* Thu Jul 10 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-3.0.0
- JOMP has been revised (added submenus in menubar).

* Mon Jul 07 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-2.0.0
- JOMP has been revised (key bindings).

* Sat Jul 05 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-1.0.0
- JOMP has been revised (progress bar scale).

* Sat Jul 05 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.5.0
- JOMP has been revised (progress bar scale).

* Thu Jul 03 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.4.0
- JOMP has been revised (key bindings).

* Wed Jul 02 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.3.0
- JOMP has been revised (progress bar and actions
  with it).

* Tue Jul 01 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.2.0
- JOMP has been revised (deleted button "Del" in
  menue Manage Queue).

* Tue Jul 01 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.1.0
- JOMP has been revised (added progress bar actions).

* Wed Mar 26 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.1-0.0.0
- The package has been revised.

* Wed Mar 26 2014 Juergen Kaesmann <juergen@kaesmann.us> 0.0.0-0.0.0
- This is the first version.
